local Audio = require("#Celeste.Audio")

function onBegin()
    makeUnskippable()
    while not getFlag("TeachersArchivesBreak") do
        wait()
    end
    setFlag("TeachersArchivesBreak", false)
    wait(0.5)
	AttackSfx = Audio.Play("event:/CC/CC_HollowKnight/SFX/Boss SFX/UumuuWaterRumbleLoop", puppet.position)
	wait(1.5)
    --miniTextbox("bubbles")
    wait(speedYTweenTo(-200, 0.2))
    wait(keepYSpeedDuring(1))
    wait(speedYTweenTo(0, 0.5))
	playMusic("event:/CC/CC_HollowKnight/DecisiveBattle")
    wait(0.25)
	Audio.Stop(AttackSfx, false)
	wait(0.25)
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/UumuuAppear",puppet.Center)
    playPuppetAnim("attack")
    --miniTextbox("name_title")
    wait(0.5)
end

function onEnd()
    enableCollisions()
end